/*******************************************************************************
**+--------------------------------------------------------------------------+**
**|                            ****                                          |**
**|                            ****                                          |**
**|                            ******o***                                    |**
**|                      ********_///_****                                   |**
**|                      ***** /_//_/ ****                                   |**
**|                       ** ** (__/ ****                                    |**
**|                           *********                                      |**
**|                            ****                                          |**
**|                            ***                                           |**
**|                                                                          |**
**|         Copyright (c) 2006-2010 Texas Instruments Incorporated           |**
**|                        ALL RIGHTS RESERVED                               |**
**|                                                                          |**
**| Permission is hereby granted to licensees of Texas Instruments           |**
**| Incorporated (TI) products to use this computer program for the sole     |**
**| purpose of implementing a licensee product based on TI products.         |**
**| No other rights to reproduce, use, or disseminate this computer          |**
**| program, whether in part or in whole, are granted.                       |**
**|                                                                          |**
**| TI makes no representation or warranties with respect to the             |**
**| performance of this computer program, and specifically disclaims         |**
**| any responsibility for any damages, special or consequential,            |**
**| connected with the use of this program.                                  |**
**|                                                                          |**
**+--------------------------------------------------------------------------+**
*******************************************************************************/
/**
 * \file   dda_hist.h
 *
 * \brief  DDA layer header file for Histogram
 *
 * This file contains the debug macro definition for the DDA layer.
 *
 * (C) Copyright 2010, Texas Instruments, Inc
 *
 * \author     EI5
 *
 * \version    0.1             Created
 *             1.0             First Release
 */

#ifndef _DDA_HIST_H
#define _DDA_HIST_H

/******************************************************************************
  Header File Inclusion
 ******************************************************************************/
#ifdef DEBUG_HIST
#include <ti/sdo/pspdrivers/pal_os/bios/psputils.h>
#endif /* DEBUG_HIST */

#ifdef __cplusplus
extern "C" {
#endif

/******************************************************************************
  Defines
 ******************************************************************************/
#ifdef DEBUG_HIST
#define DDA_DEBUG_PRINTF(STR) PSP_DEBUG1("DDA : %s\n", STR)
#else
#define DDA_DEBUG_PRINTF(STR)
#endif /* DEBUG_HIST */

#ifdef __cplusplus
}
#endif

#endif /*_DDA_HIST_H */

