/*
 * ======== package.xs ========
 *
 */

/*
 * ======== getLibs ========
 */
function getLibs(prog)
{
    var bool = 0;

    print ("Inside SPI getLibs");

    /* Prepare variables to form the library path within this package */
    var name = "spi_bios_drv.lib";
    var name_i = "spi_bios_drv_i.lib";
    var lib = "lib/";
    var plat1 = "ti.platforms.evmDM648";
    var plat2 = "ti.platforms.evm6452";

    if (java.lang.String(prog.platformName).equals(plat1))
        {
        /* Choose DM648 Platform */
        lib = lib + "dm648/";
        bool = 1;
        }

    if (java.lang.String(prog.platformName).equals(plat2))
        {
        /* Choose C6452 Platform */
        lib = lib + "c6452/";
        bool = 1;
        }

    if (bool == 0)
        throw new Error('Unexpected value in "platform" parameter')

    /* check the build profile to get the library to return */
    switch (this.profile) {
    case 'debug':
        /* enable debug build for debug profile only */
        lib = lib + "Debug/" + name;
        break;

    case 'idebug':
        /* enable debug build for debug profile only */
        lib = lib + "Debug/" + name_i;
        break;

    case 'irelease':
        /* enable irelease build for irelease profile only */
        lib = lib + "Release/" + name_i;
        break;

    default:
        /* release profile for everything else */
        lib = lib + "Release/" + name;
    }

    print("    will link with " + this.$name + ":" + lib);

    /* return the library name */
    return (lib);
}

