/******************************************************************************
**+-------------------------------------------------------------------------+**
**|                            ****                                         |**
**|                            ****                                         |**
**|                            ******o***                                   |**
**|                      ********_///_****                                  |**
**|                      ***** /_//_/ ****                                  |**
**|                       ** ** (__/ ****                                   |**
**|                           *********                                     |**
**|                            ****                                         |**
**|                            ***                                          |**
**|                                                                         |**
**|         Copyright (c) 2006-2010 Texas Instruments Incorporated          |**
**|                        ALL RIGHTS RESERVED                              |**
**|                                                                         |**
**| Permission is hereby granted to licensees of Texas Instruments          |**
**| Incorporated (TI) products to use this computer program for the sole    |**
**| purpose of implementing a licensee product based on TI products.        |**
**| No other rights to reproduce, use, or disseminate this computer         |**
**| program, whether in part or in whole, are granted.                      |**
**|                                                                         |**
**| TI makes no representation or warranties with respect to the            |**
**| performance of this computer program, and specifically disclaims        |**
**| any responsibility for any damages, special or consequential,           |**
**| connected with the use of this program.                                 |**
**|                                                                         |**
**+-------------------------------------------------------------------------+**
******************************************************************************/

/**
 *  \file   ddc_vpbeCursor.h
 *
 *  \brief  VPBE Cursor related functionality dependencies
 *
 *  This file contains the Cursor core level functionalities
 *
 *  (C) Copyright 2010, Texas Instruments, Inc
 *
 *  \note       Set tabstop to 4 (:se ts=4) while viewing this file in an
 *              editor
 *
 *  \author     Maulik Desai
 *
 *  \version    0.1     Created
 */

#ifndef _DDC_VPBECURSOR_H
#define _DDC_VPBECURSOR_H

#ifdef __cplusplus
extern "C" {
#endif

/******************************************************************************
                                 Functions
******************************************************************************/
/**
  * \brief  Configure the cursor mode params
  *
  * \param cursorHandleCCMP     [IN]    Cursor handle for mode config
  * \param params               [IN]    Handle for cursor params
  *
  * \returns                            Success or Failure status
  *
  */
DDC_VPBEStatus DDC_VPBEConfigCursorParams(DDC_VPBECursorObject* const cursorHandleCCMP,Ptr params);

#ifdef __cplusplus
}
#endif

#endif /* _DDC_VPBECURSOR_H */
