/******************************************************************************
**+-------------------------------------------------------------------------+**
**|                            ****                                         |**
**|                            ****                                         |**
**|                            ******o***                                   |**
**|                      ********_///_****                                  |**
**|                      ***** /_//_/ ****                                  |**
**|                       ** ** (__/ ****                                   |**
**|                           *********                                     |**
**|                            ****                                         |**
**|                            ***                                          |**
**|                                                                         |**
**|         Copyright (c) 2006-2010 Texas Instruments Incorporated          |**
**|                        ALL RIGHTS RESERVED                              |**
**|                                                                         |**
**| Permission is hereby granted to licensees of Texas Instruments          |**
**| Incorporated (TI) products to use this computer program for the sole    |**
**| purpose of implementing a licensee product based on TI products.        |**
**| No other rights to reproduce, use, or disseminate this computer         |**
**| program, whether in part or in whole, are granted.                      |**
**|                                                                         |**
**| TI makes no representation or warranties with respect to the            |**
**| performance of this computer program, and specifically disclaims        |**
**| any responsibility for any damages, special or consequential,           |**
**| connected with the use of this program.                                 |**
**|                                                                         |**
**+-------------------------------------------------------------------------+**
******************************************************************************/

/**
 *  \file   ddc_vpbeVenc.h
 *
 *  \brief  VPBE Venc related functionality dependencies
 *
 *  This file contains the Venc core level functionalities
 *
 *  (C) Copyright 2010, Texas Instruments, Inc
 *
 *  \note       Set tabstop to 4 (:se ts=4) while viewing this file in an
 *              editor
 *
 *  \author     Maulik Desai
 *
 *  \version    0.1     Created
 */
#ifndef _DDC_VPBEVENC_H
#define _DDC_VPBEVENC_H

#ifdef __cplusplus
extern "C" {
#endif

/**
 *  Defines
**/
#define HORZ_VALID_DATA (1440u)
#define VERT_VALID_DATA (525u)

/******************************************************************************
                               Functions
******************************************************************************/

/**
  * \brief This will validate and configure the Venc mode params
  *
  * \param  vencHandleCVMP  [IN]        handle for Venc mode plane
  * \param  params          [IN]        handle foe Venc mode params
  *
  * \returns                            pass or fails status
  *
  */
DDC_VPBEStatus DDC_VPBEConfigVencParams(DDC_VPBEVencObject* const vencHandleCVMP,Ptr params);

#ifdef __cplusplus
}
#endif

#endif /* _DDC_VPSSVENC_H */
