/******************************************************************************
**+-------------------------------------------------------------------------+**
**|                            ****                                         |**
**|                            ****                                         |**
**|                            ******o***                                   |**
**|                      ********_///_****                                  |**
**|                      ***** /_//_/ ****                                  |**
**|                       ** ** (__/ ****                                   |**
**|                           *********                                     |**
**|                            ****                                         |**
**|                            ***                                          |**
**|                                                                         |**
**|         Copyright (c) 2006-2010 Texas Instruments Incorporated          |**
**|                        ALL RIGHTS RESERVED                              |**
**|                                                                         |**
**| Permission is hereby granted to licensees of Texas Instruments          |**
**| Incorporated (TI) products to use this computer program for the sole    |**
**| purpose of implementing a licensee product based on TI products.        |**
**| No other rights to reproduce, use, or disseminate this computer         |**
**| program, whether in part or in whole, are granted.                      |**
**|                                                                         |**
**| TI makes no representation or warranties with respect to the            |**
**| performance of this computer program, and specifically disclaims        |**
**| any responsibility for any damages, special or consequential,           |**
**| connected with the use of this program.                                 |**
**|                                                                         |**
**+-------------------------------------------------------------------------+**
******************************************************************************/
/**
 *  \file   dda_vpfeBios.h
 *
 *  \brief  VPFE BIOS layer definition
 *
 *  This file contains the interfaces, data types and symbolic definitions
 *  that are needed by the application to utilize the serivces of the VPFE
 *  device driver.
 *
 *  (C) Copyright 2010, Texas Instruments, Inc
 *
 *  \note       Set tabstop to 4 (:se ts=4) while viewing this file in an
 *              editor
 *
 *  \author     Maulik Desai
 *
 *  \version    0.1     Created
 */

#ifndef _DDA_VPFEBIOS_H
#define _DDA_VPFEBIOS_H

#ifdef __cplusplus
extern "C" {
#endif

/**
  * \brief Registers interrupt handler for front end
  *
  * \param  instNum     [IN]         instance number
  * \param  IntNum      [IN]         interrupt number
  *
  */
void _DDA_VPFERegisterIntrHandler(Uint32 instNum, Uint32 IntNum);

/**
  * \brief Unregister Interrupt handler for VPFE
  *
  * \param instNum      [IN]            instance number
  * \param intrNum      [IN]            interrupt number
  *
  */
void _DDA_VPFEUnregisterIntrHandler(Uint32 instNum, Uint32 intrNum);

#ifdef __cplusplus
}
#endif

#endif /*_DDA_VPFEBIOS_H */
