/******************************************************************************
**+-------------------------------------------------------------------------+**
**|                            ****                                         |**
**|                            ****                                         |**
**|                            ******o***                                   |**
**|                      ********_///_****                                  |**
**|                      ***** /_//_/ ****                                  |**
**|                       ** ** (__/ ****                                   |**
**|                           *********                                     |**
**|                            ****                                         |**
**|                            ***                                          |**
**|                                                                         |**
**|         Copyright (c) 2006-2010 Texas Instruments Incorporated          |**
**|                        ALL RIGHTS RESERVED                              |**
**|                                                                         |**
**| Permission is hereby granted to licensees of Texas Instruments          |**
**| Incorporated (TI) products to use this computer program for the sole    |**
**| purpose of implementing a licensee product based on TI products.        |**
**| No other rights to reproduce, use, or disseminate this computer         |**
**| program, whether in part or in whole, are granted.                      |**
**|                                                                         |**
**| TI makes no representation or warranties with respect to the            |**
**| performance of this computer program, and specifically disclaims        |**
**| any responsibility for any damages, special or consequential,           |**
**| connected with the use of this program.                                 |**
**|                                                                         |**
**+-------------------------------------------------------------------------+**
******************************************************************************/

/**
 *  \file   ddc_vpfeCcdc.h
 *
 *  \brief  VPFE Ccdc related functionality dependencies
 *
 *  This file contains the Ccdc core level functionalities
 *
 *  (C) Copyright 2010, Texas Instruments, Inc
 *
 *  \note       Set tabstop to 4 (:se ts=4) while viewing this file in an
 *              editor
 *
 *  \author     Maulik Desai
 *
 *  \version    0.1     Created
 */

#ifndef _DDC_VPFECCDC_H
#define _DDC_VPFECCDC_H

#ifdef __cplusplus
extern "C" {
#endif

/******************************************************************************
                               Functions
******************************************************************************/

/**
 *  \brief .This function validates whether the parameters that are
 *          passed in the params are valid for the CCDC or are incorrect.
 *          On success this function returns an enumerated status of the
 *          operation indicating the validity of the parameters.
 *
 *  \param  ccdcHandleCC [IN]     Handle of the CCDC
 *
 *  \param  paramsCC     [IN]     Parameters for configuring for above
 *                                CCDC handle
 *
 *  \returns status of the operation performed.
 */
DDC_VPFEStatus DDC_VPFEConfigCcdcParams(DDC_VPFECcdcObject* const ccdcHandleCC,Ptr paramsCC);
DDC_VPFEStatus DDC_VPFEConfigCcdcRawParams(DDC_VPFECcdcObject* const ccdcHandleCC,Ptr paramsCC);
DDC_VPFEStatus DDC_VPFEBlackAdjust(DDC_VPFECcdcObject* const ccdcHandleCC,Ptr paramsCC);
DDC_VPFEStatus DDC_VPFEFpc(DDC_VPFECcdcObject* const ccdcHandleCC,Ptr paramsCC);

#ifdef __cplusplus
}
#endif

#endif /*_DDC_VPFECCDC_H */
