/*******************************************************************************
 **+--------------------------------------------------------------------------+**
 **|                            ****                                          |**
 **|                            ****                                          |**
 **|                            ******o***                                    |**
 **|                      ********_///_****                                   |**
 **|                      ***** /_//_/ ****                                   |**
 **|                       ** ** (__/ ****                                    |**
 **|                           *********                                      |**
 **|                            ****                                          |**
 **|                            ***                                           |**
 **|                                                                          |**
 **|         Copyright (c) 1998-2006 Texas Instruments Incorporated           |**
 **|                        ALL RIGHTS RESERVED                               |**
 **|                                                                          |**
 **| Permission is hereby granted to licensees of Texas Instruments           |**
 **| Incorporated (TI) products to use this computer program for the sole     |**
 **| purpose of implementing a licensee product based on TI products.         |**
 **| No other rights to reproduce, use, or disseminate this computer          |**
 **| program, whether in part or in whole, are granted.                       |**
 **|                                                                          |**
 **| TI makes no representation or warranties with respect to the             |**
 **| performance of this computer program, and specifically disclaims         |**
 **| any responsibility for any damages, special or consequential,            |**
 **| connected with the use of this program.                                  |**
 **|                                                                          |**
 **+--------------------------------------------------------------------------+**
 *******************************************************************************/

/** \file   psputils.h
    \brief  PSP Generic Utilities Header File

    This file implements some generic utilities functions, to be used by the PSP
    drivers or sample applications.

    (C) Copyright 2006, Texas Instruments, Inc

    \author     Rinkal Shah
    \version    1.0
 */

#ifndef __PSP_CPU_SERV_H__
#define __PSP_CPU_SERV_H__

#include <log.h>

#include <ti/sdo/pspdrivers/common/psp_common.h>


#ifdef __cplusplus
extern "C" {
#endif

  /*--------------------------------------------------------------------------*
   * Module       : kprintf
   * Function     : Kernel print routine.
   * Calling Seq. : void kprintf ( Int8* fp, ... )
   * Input        : Int8*     fp      : Format string and pointer to arguments
   *                ...               :
   * Output       : None
   * Return val.  : None
   * Note         : Only hex, string and Int8 formats supported.
   *--------------------------------------------------------------------------*/
  void kprintf(char *fp, ...);

  #define PSP_DEBUG(a)          LOG_printf(&trace, a)
  #define PSP_DEBUG1(a,b)       LOG_printf(&trace, a, b)
  #define PSP_DEBUG2(a,b,c)     LOG_printf(&trace, a, b, c)
  #define PSP_DEBUG3(a,b,c,d)   LOG_printf(&trace, a, b, c, d)
  #define PSP_DEBUG4(a,b,c,d,e) LOG_printf(&trace, a, b, c, d, e)

  extern far LOG_Obj trace;
#ifdef __cplusplus
}
#endif

#endif /* __PSP_CPU_SERV_H__ */
