/*******************************************************************************
**+--------------------------------------------------------------------------+**
**|                            ****                                          |**
**|                            ****                                          |**
**|                            ******o***                                    |**
**|                      ********_///_****                                   |**
**|                      ***** /_//_/ ****                                   |**
**|                       ** ** (__/ ****                                    |**
**|                           *********                                      |**
**|                            ****                                          |**
**|                            ***                                           |**
**|                                                                          |**
**|         Copyright (c) 1998-2006 Texas Instruments Incorporated           |**
**|                        ALL RIGHTS RESERVED                               |**
**|                                                                          |**
**| Permission is hereby granted to licensees of Texas Instruments           |**
**| Incorporated (TI) products to use this computer program for the sole     |**
**| purpose of implementing a licensee product based on TI products.         |**
**| No other rights to reproduce, use, or disseminate this computer          |**
**| program, whether in part or in whole, are granted.                       |**
**|                                                                          |**
**| TI makes no representation or warranties with respect to the             |**
**| performance of this computer program, and specifically disclaims         |**
**| any responsibility for any damages, special or consequential,            |**
**| connected with the use of this program.                                  |**
**|                                                                          |**
**+--------------------------------------------------------------------------+**
*******************************************************************************/

/**
 *  \file   pal_osCfg.h
 *
 *  \brief  BIOS PAL OS configuration Header File
 *
 *  This file selects/enables PAL OS modules that are supported.
 *
 *  (C) Copyright 2006, Texas Instruments, Inc
 *
 *  \author     PSP Group
 *  \version    0.1
 */

#ifndef __PAL_OS_CFG_H__
#define __PAL_OS_CFG_H__

#ifdef __cplusplus
extern "C" {
#endif

/**
 * \brief  Compilation Flag to enable PALOS MEM utilities
 */
#define PAL_INCLUDE_OSMEM

/**
 * \brief  Max number of fixed size buffer pools supported
 */
#define PAL_OSBUF_MAX_BUFFER_POOLS      5
/**
 * \brief  Compilation flag to enable fixed buffer
 */
#define PAL_INCLUDE_OSBUF

/**
 * \brief  Max number of segment IDs supported
 */
#define PAL_OSMEM_MAX_SEG_ID            5
/**
 * \brief  Compilation flag to enable SEM utilities
 */
#define PAL_INCLUDE_OSSEM
/**
 * \brief  Compilation flag to enable Mutex utilities
 */
#define PAL_INCLUDE_OSMUTEX
/**
 * \brief  Compilation flag to enable WAIT utilities
 */
#define PAL_INCLUDE_OSWAIT
/**
 * \brief  Compilation flag to enable LIST utilities
 */
#define PAL_INCLUDE_OSLIST
/**
 * \brief  Compilation flag to enable PROTECT
 */
#define PAL_INCLUDE_OSPROTECT
/**
 * \brief  Compilation flag to enable CACHE utilities
 */
#define PAL_INCLUDE_OSCACHE

/**
 * \brief  Compilation flag to enable TASKLET
 */
#define PAL_INCLUDE_TASKLET

#ifdef __cplusplus
}
#endif

#endif /* __PAL_OS_CFG_H__ */
