/*******************************************************************************
**+--------------------------------------------------------------------------+**
**|                            ****                                          |**
**|                            ****                                          |**
**|                            ******o***                                    |**
**|                      ********_///_****                                   |**
**|                      ***** /_//_/ ****                                   |**
**|                       ** ** (__/ ****                                    |**
**|                           *********                                      |**
**|                            ****                                          |**
**|                            ***                                           |**
**|                                                                          |**
**|         Copyright (c) 1998-2006 Texas Instruments Incorporated           |**
**|                        ALL RIGHTS RESERVED                               |**
**|                                                                          |**
**| Permission is hereby granted to licensees of Texas Instruments           |**
**| Incorporated (TI) products to use this computer program for the sole     |**
**| purpose of implementing a licensee product based on TI products.         |**
**| No other rights to reproduce, use, or disseminate this computer          |**
**| program, whether in part or in whole, are granted.                       |**
**|                                                                          |**
**| TI makes no representation or warranties with respect to the             |**
**| performance of this computer program, and specifically disclaims         |**
**| any responsibility for any damages, special or consequential,            |**
**| connected with the use of this program.                                  |**
**|                                                                          |**
**+--------------------------------------------------------------------------+**
*******************************************************************************/

/** \file   pal_osInt.c
    \brief  Wrapper function to enale/disable ECM event

    This file implements a wrapper function that enables BIOS interrupt.

    (C) Copyright 2006, Texas Instruments, Inc

    \author     PSP Group
    \version    0.1

 */

#include <std.h>
#include <tsk.h>
#include <ecm.h>
#include <ti/sdo/pspdrivers/pal_os/pal_osInt.h>


/* Function to enable interrupt event in ECM module */
void PAL_osEvtEnable(Uint32 eventId)
{
    ECM_enableEvent(eventId);
}




/* Function to disable interrupt event in ECM module */
void PAL_osEvtDisable(Uint32 eventId)
{
    ECM_disableEvent(eventId);
}



