/*  ============================================================================
 *  Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005
 *
 *  Use of this software is controlled by the terms and conditions found in the
 *  license agreement under which this software has been supplied.
 *  ============================================================================
 */
/** ============================================================================
 *   @file  csl_version.h
 *
 *   @path  $(CSLPATH)\inc
 *
 *   @desc  This file contains the version number of different chips
 *
 */
/* =============================================================================
 *  Revision History
 *  ===============
 *  21-Sep-2006 NG  File Created
 *  03-Apr-2007 NG  Added C6424
 * =============================================================================
 */

#ifndef _CSL_VERSION_H_
#define _CSL_VERSION_H_

#ifdef __cplusplus
extern "C" {
#endif

#include <ti/sdo/pspdrivers/soc/c6424/dsp/tistdtypes.h>

#ifdef DM643x
/* 0xAABBCCDD -> Arch (AA); API Changes (BB); Major (CC); Minor (DD) */
#define CSL_VERSION_ID          (0x03000400)    
#define CSL_VERSION_STR         "@(#) CSL Revision: 3.00.04.00;"

#define CSL_CHIP_ID             (0x643)
#define CSL_CHIP_STR            "DM643x PG 1.0"
#endif

#ifdef C6424
/* 0xAABBCCDD -> Arch (AA); API Changes (BB); Major (CC); Minor (DD) */
#define CSL_VERSION_ID          (0x03000400)    
#define CSL_VERSION_STR         "@(#) CSL Revision: 3.00.04.00;"

#define CSL_CHIP_ID             (0x6424)
#define CSL_CHIP_STR            "C6424 PG 1.0"
#endif

/**
  @brief    Retrieves the version ID
*/
Uint32 CSL_versionGetID (
    void
);


/**
  @brief    Retrieves the version string
*/
const char *
    CSL_versionGetStr (
        void
);


#ifdef __cplusplus
}
#endif

#endif /* _CSL_VERSION_H_ */

