/*
* ======== package.xs ========
*
*/

/*
* ======== getLibs ========
*/
function getLibs(prog)
    {
    var bool = 0;

    print ("Inside Audio getLibs");

    /* Prepare variables to form the library path within this package */
    var name_default = "audio_bios_drv.lib";
    var name_default_i = "audio_bios_drv_i.lib";
    var name_1_to_1 = "audio_bios_drv_1_to_1.lib";
    var name_1_to_1_i = "audio_bios_drv_1_to_1_i.lib";

    var lib = "lib/";
    var Settings = xdc.module('ti.sdo.pspdrivers.system.c6452.bios.evm6452.audio.Settings');


    /* check the build profile to get the library to return */
    switch (this.profile) {
        case 'debug':
        case 'idebug':        
        /* enable debug build for debug profile only */
        lib = lib + "Debug/";
        break;

        default:
        /* release profile for everything else */
        lib = lib + "Release/";
        }


    if (Settings.channel == Settings.ONE_TO_ONE)
        {
        print ("Inside Audio ONE_TO_ONE");

        switch (this.profile) {
            case 'idebug':
            case 'irelease':
            /* Take 1_to_1 Instrumented Audio library */
            lib = lib + name_1_to_1_i;
            break;

            default:
            /* Take Default Non-Instrumented 1_to_1 Audio library */
            lib = lib + name_1_to_1;
            }

        bool = 1;
        }

    if (Settings.channel == Settings.FOUR_TO_ONE)
        {
        print ("Inside Audio FOUR_TO_ONE");

        switch (this.profile) {
            case 'idebug':
            case 'irelease':
            /* Take 4_to_1 Instrumented Audio library */
            lib = lib + name_default_i;
            break;

            default:
            /* Take Default Non-Instrumented 4_to_1 Audio library */
            lib = lib + name_default;
            }

        bool = 1;
        }

    if (bool == 0)
        throw new Error('Unexpected value in "channel" parameter')

    print(" will link with " + this.$name + ":" + lib);

    /* return the library name */
    return (lib);
    }
