/*******************************************************************************
**+--------------------------------------------------------------------------+**
**|                            ****                                          |**
**|                            ****                                          |**
**|                            ******o***                                    |**
**|                      ********_///_****                                   |**
**|                      ***** /_//_/ ****                                   |**
**|                       ** ** (__/ ****                                    |**
**|                           *********                                      |**
**|                            ****                                          |**
**|                            ***                                           |**
**|                                                                          |**
**|         Copyright (c) 1998-2006 Texas Instruments Incorporated           |**
**|                        ALL RIGHTS RESERVED                               |**
**|                                                                          |**
**| Permission is hereby granted to licensees of Texas Instruments           |**
**| Incorporated (TI) products to use this computer program for the sole     |**
**| purpose of implementing a licensee product based on TI products.         |**
**| No other rights to reproduce, use, or disseminate this computer          |**
**| program, whether in part or in whole, are granted.                       |**
**|                                                                          |**
**| TI makes no representation or warranties with respect to the             |**
**| performance of this computer program, and specifically disclaims         |**
**| any responsibility for any damages, special or consequential,            |**
**| connected with the use of this program.                                  |**
**|                                                                          |**
**+--------------------------------------------------------------------------+**
*******************************************************************************/

/** \file   psp_bios_tsip_main.c
 *
 *  \brief  This file contains the demo code to demonstrate the
 *          TSIP driver implemented for DSP/BIOS in this SoC Platform
 *
 *  (C) Copyright 2006, Texas Instruments, Inc
 *
 *  \author     PSP Team
 *  \version    0.1
 */
 
/*
 * External references
 */
extern void start_tsip_sample(void);

/*
 * Global references
 */
void echo(void);

/*
 * OS application entry point (main). This is called before OS task 
 * switching enabled. Here is a place where Device drivers can be 
 * created using DEV_createDevice.
 */

void main()
{
    return;
}


/*
 * BIOS sample task used to test drivers in task context.
 */
void echo(void)
{
    start_tsip_sample();
    
    /* TSIP sample app completed. */
    while(1)
    {
        ;
    }
}








