/*******************************************************************************
**+--------------------------------------------------------------------------+**
**|                            ****                                          |**
**|                            ****                                          |**
**|                            ******o***                                    |**
**|                      ********_///_****                                   |**
**|                      ***** /_//_/ ****                                   |**
**|                       ** ** (__/ ****                                    |**
**|                           *********                                      |**
**|                            ****                                          |**
**|                            ***                                           |**
**|                                                                          |**
**|         Copyright (c) 1998-2006 Texas Instruments Incorporated           |**
**|                        ALL RIGHTS RESERVED                               |**
**|                                                                          |**
**| Permission is hereby granted to licensees of Texas Instruments           |**
**| Incorporated (TI) products to use this computer program for the sole     |**
**| purpose of implementing a licensee product based on TI products.         |**
**| No other rights to reproduce, use, or disseminate this computer          |**
**| program, whether in part or in whole, are granted.                       |**
**|                                                                          |**
**| TI makes no representation or warranties with respect to the             |**
**| performance of this computer program, and specifically disclaims         |**
**| any responsibility for any damages, special or consequential,            |**
**| connected with the use of this program.                                  |**
**|                                                                          |**
**+--------------------------------------------------------------------------+**
*******************************************************************************/
/** \file   psp_bios_vlynq_main.c
 *
 *   \brief  Sample application for Master mode VLYNQ
 *
 *  This is the sample application of vlynq which contains various
 *  test cases to test vlynq driver.
 *
 * (C) Copyright 2006, Texas Instruments, Inc
 *
 *  \author     Rinkal Shah
 *   \version    0.1
 */
/*
 * Include Files
 */
#include <std.h>

#ifdef CHIP_DM648
#include <ti/sdo/pspdrivers/pal_sys/dm648/pal_sys.h>
#include <ti/sdo/pspdrivers/pal_sys/dm648/pal_sys_soc.h>
#endif

#ifdef CHIP_C6452
#include <ti/sdo/pspdrivers/pal_sys/c6452/pal_sys.h>
#include <ti/sdo/pspdrivers/pal_sys/c6452/pal_sys_soc.h>
#endif

/*
 * Defines and Macros and globals
 */

extern void start_vlynq_test();

void main()
{    
    return;
}


/*
 * vlynq task. This function starts the vlynq test 
 */
void task_vlynq()
{

    PAL_sysPinmuxEnable(PAL_SYS_PINMUX_VLYNQ); /* Enable VLYNQ for DM648 DVR mode*/

	start_vlynq_test();

	while(1);
}
