/*
 *  Copyright 2005 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *
 *
 */
#include <psp_mcbsp.h>

/**
  * \brief McBSP device setup params
  *
  *  This structure basically holds configuration to be used for the
  *  specified McBSP instance
  */
PSP_mcbspDevInitParams McBSP_devParams0 =
                        {
                            /**< Caching enabled                    */
                            TRUE,
                            /**< Internal clock is to be generated  */
                            TRUE,
                            /**< Framesync is to be generated       */
                            TRUE,
                            /**< Pointer to configuration parameters to be used for the McBSP */
                            NULL,
                            /**< Miscelleous param 1 : used to provide address of ISR etc. */
                            NULL,
                            /**< Miscelleous param 2 : used to provide address of ISR etc. */
                            NULL
                        };
/**
  * \brief McBSP device setup params
  *
  *  This structure basically holds configuration to be used for the
  *  specified McBSP instance
  */
PSP_mcbspDevInitParams McBSP_devParams1 =
                        {
                            /**< Caching enabled                    */
                            TRUE,
                            /**< Internal clock is to be generated  */
                            TRUE,
                            /**< Framesync is to be generated       */
                            TRUE,
                            /**< Pointer to configuration parameters to be used for the McBSP */
                            NULL,
                            /**< Miscelleous param 1 : used to provide address of ISR etc. */
                            NULL,
                            /**< Miscelleous param 2 : used to provide address of ISR etc. */
                            NULL
                        };
