/*******************************************************************************
**+--------------------------------------------------------------------------+**
**|                            ****                                          |**
**|                            ****                                          |**
**|                            ******o***                                    |**
**|                      ********_///_****                                   |**
**|                      ***** /_//_/ ****                                   |**
**|                       ** ** (__/ ****                                    |**
**|                           *********                                      |**
**|                            ****                                          |**
**|                            ***                                           |**
**|                                                                          |**
**|         Copyright (c) 1998-2006 Texas Instruments Incorporated           |**
**|                        ALL RIGHTS RESERVED                               |**
**|                                                                          |**
**| Permission is hereby granted to licensees of Texas Instruments           |**
**| Incorporated (TI) products to use this computer program for the sole     |**
**| purpose of implementing a licensee product based on TI products.         |**
**| No other rights to reproduce, use, or disseminate this computer          |**
**| program, whether in part or in whole, are granted.                       |**
**|                                                                          |**
**| TI makes no representation or warranties with respect to the             |**
**| performance of this computer program, and specifically disclaims         |**
**| any responsibility for any damages, special or consequential,            |**
**| connected with the use of this program.                                  |**
**|                                                                          |**
**+--------------------------------------------------------------------------+**
*******************************************************************************/

/** \file   psp_bios_audio_st_sample_main.c
 *
 *  \brief  This file contains the test / demo code to demonstrate the
 *          Audio driver implemented for DSP/BIOS
 *
 *  (C) Copyright 2006, Texas Instruments, Inc
 *
 *  \author     PSP Team
 *  \version    0.1
 */

#include <std.h>
#include <ti/sdo/pspdrivers/pal_os/bios/psputils.h>

/* Externs */

/* Audio Usage Instructions:
1. Requires EDMA, Resource Manager Driver plus EDMA sample application
2. Requires I2C driver for Audio Codec configuration
3. Requires McBSP & McASP drivers for PCM data playout
2. For Interrupts refer to TCF file */

void main()
{
    PSP_DEBUG("\nTII PSP Audio Sample Main\n");
    return;
}

/**
 *  ======== I2C_INIT ========
 *  This function is used to Initialize the I2C Bus Driver
 *
 */
void I2C_INIT()
{
    return;
}
