/*******************************************************************************
**+--------------------------------------------------------------------------+**
**|                            ****                                          |**
**|                            ****                                          |**
**|                            ******o***                                    |**
**|                      ********_///_****                                   |**
**|                      ***** /_//_/ ****                                   |**
**|                       ** ** (__/ ****                                    |**
**|                           *********                                      |**
**|                            ****                                          |**
**|                            ***                                           |**
**|                                                                          |**
**|         Copyright (c) 1998-2006 Texas Instruments Incorporated           |**
**|                        ALL RIGHTS RESERVED                               |**
**|                                                                          |**
**| Permission is hereby granted to licensees of Texas Instruments           |**
**| Incorporated (TI) products to use this computer program for the sole     |**
**| purpose of implementing a licensee product based on TI products.         |**
**| No other rights to reproduce, use, or disseminate this computer          |**
**| program, whether in part or in whole, are granted.                       |**
**|                                                                          |**
**| TI makes no representation or warranties with respect to the             |**
**| performance of this computer program, and specifically disclaims         |**
**| any responsibility for any damages, special or consequential,            |**
**| connected with the use of this program.                                  |**
**|                                                                          |**
**+--------------------------------------------------------------------------+**
*******************************************************************************/

/** \file   psp_bios_mcbsp_st_sample_main.c
 *
 *  \brief  This file contains the test / demo code to demonstrate the
 *          McBSP driver implemented for DSP/BIOS
 *
 *  (C) Copyright 2006, Texas Instruments, Inc
 *
 *  \author     PSP Team
 *  \version    0.1
 */

#include <stdio.h>
#include <std.h>
#include <tsk.h>
#include <gio.h>
#include <ti/sdo/edma3/drv/edma3_drv.h>

extern void start_mcbsp_sample(void);

/* McBSP Usage Instructions:
1. No dependency on other drivers
2. For Interrupts refer to TCF file */

void main()
{
    printf("\nTII PSP McBSP Sample Main\n");
    return;
}

void echo()
{
    if (edma3init() != EDMA3_DRV_SOK)
    {
        /* Report EDMA Error */
        printf("\r\nEDMA3 : edma3init() failed\r\n");
    }
    else
    {
        printf("\r\nEDMA3 : edma3init() passed\r\n");
    }

    /* Run McBSP sample application */
    start_mcbsp_sample(); 

    return;
}


void myOtherTestTask(void)
{

    while(1)
   {

       TSK_sleep(1000);

   }
}

void McBSP_INIT ()
{
    return;
}

