/******************************************************************************
**+-------------------------------------------------------------------------+**
**|                            ****                                         |**
**|                            ****                                         |**
**|                            ******o***                                   |**
**|                      ********_///_****                                  |**
**|                      ***** /_//_/ ****                                  |**
**|                       ** ** (__/ ****                                   |**
**|                           *********                                     |**
**|                            ****                                         |**
**|                            ***                                          |**
**|                                                                         |**
**|         Copyright (c) 1998-2006 Texas Instruments Incorporated          |**
**|                        ALL RIGHTS RESERVED                              |**
**|                                                                         |**
**| Permission is hereby granted to licensees of Texas Instruments          |**
**| Incorporated (TI) products to use this computer program for the sole    |**
**| purpose of implementing a licensee product based on TI products.        |**
**| No other rights to reproduce, use, or disseminate this computer         |**
**| program, whether in part or in whole, are granted.                      |**
**|                                                                         |**
**| TI makes no representation or warranties with respect to the            |**
**| performance of this computer program, and specifically disclaims        |**
**| any responsibility for any damages, special or consequential,           |**
**| connected with the use of this program.                                 |**
**|                                                                         |**
**+-------------------------------------------------------------------------+**
******************************************************************************/


/** \file     psp_audioCfg.c
 *
 *  \brief    Source file for audio driver configuration
 *
 *  The file contains Audio configuration
 *
 *  (C) Copyright 2006, Texas Instruments, Inc
 *
 *  \authors    PSP Team (please mail your comments/ queries to
 *              psparch-feedback@list.ti.com)
 *
 *  \note       Set tabstop to 4 (:se ts=4) while viewing this file in an
 *              editor
 *  \Revision
 *          0.1  Created  PSP Team
 */

#ifdef CHIP_DM6437
#include <ti/sdo/pspdrivers/system/dm6437/bios/evmDM6437/audio/psp_audio.h>
#endif

#ifdef CHIP_C6424
#include <ti/sdo/pspdrivers/system/c6424/bios/evm6424/audio/psp_audio.h>
#endif

PSP_audio_cfg   audio_cfg = {
        PSP_AUDIO_AIC_MASTER,   /* AIC Mode */
        99000000,               /* Input Frequency to McBSP or McASP module */
        8000,                   /* Sampling Rate */
        50,                     /* Input Gain */
        99,                     /* Output Gain */
        PSP_AUDIO_LINE_IN,      /* Input select */
        PSP_AUDIO_LINE_OUT      /* Output Select */
};

