/*******************************************************************************
**+--------------------------------------------------------------------------+**
**|                            ****                                          |**
**|                            ****                                          |**
**|                            ******o***                                    |**
**|                      ********_///_****                                   |**
**|                      ***** /_//_/ ****                                   |**
**|                       ** ** (__/ ****                                    |**
**|                           *********                                      |**
**|                            ****                                          |**
**|                            ***                                           |**
**|                                                                          |**
**|         Copyright (c) 1998-2006 Texas Instruments Incorporated           |**
**|                        ALL RIGHTS RESERVED                               |**
**|                                                                          |**
**| Permission is hereby granted to licensees of Texas Instruments           |**
**| Incorporated (TI) products to use this computer program for the sole     |**
**| purpose of implementing a licensee product based on TI products.         |**
**| No other rights to reproduce, use, or disseminate this computer          |**
**| program, whether in part or in whole, are granted.                       |**
**|                                                                          |**
**| TI makes no representation or warranties with respect to the             |**
**| performance of this computer program, and specifically disclaims         |**
**| any responsibility for any damages, special or consequential,            |**
**| connected with the use of this program.                                  |**
**|                                                                          |**
**+--------------------------------------------------------------------------+**
*******************************************************************************/

/** \file   FVID_evmDM6437.h
 *
 *  \brief  This file is provided as compatibility to support previous
 *          DM6437 Video Releases.
 *  Note: This file requires inclusion of header FVID.h
 *
 *
 *  (C) Copyright 2006, Texas Instruments, Inc
 *
 *  \author     PSP Team
 *
 *  \version    0.1     Created
 */
#ifndef _FVID_EVMDM6437_H
#define _FVID_EVMDM6437_H

#ifdef __cplusplus
extern "C" {
#endif

/******************************************************************************
 * 64LC Beta to RTM Compatibility APIs:
 *
 *    map FVID_alloc() to FVID_allocBuffer(), FVID_free() to FVID_freeBuffer();
 *    map PSP_VPSSSurfaceParams to FVID_Frame.
 *
 *****************************************************************************/


#ifdef FVID_alloc
#undef FVID_alloc
#endif
#define FVID_alloc(gioChan, bufp)   FVID_allocBuffer(gioChan, bufp)

#ifdef FVID_free
#undef FVID_free
#endif
#define FVID_free(gioChan, bufp)    FVID_freeBuffer(gioChan, &(bufp))

#define PSP_VPSSSurfaceParams       FVID_Frame

#define PSP_VPSS_FIELD_MODE         FVID_FIELD_MODE
#define PSP_VPSS_FRAME_MODE         FVID_FRAME_MODE

#define PSP_VPSSBitsPerPixel        FVID_bitsPerPixel
#define PSP_VPSS_BITS1              FVID_BPP_BITS1
#define PSP_VPSS_BITS2              FVID_BPP_BITS2
#define PSP_VPSS_BITS4              FVID_BPP_BITS4
#define PSP_VPSS_BITS8              FVID_BPP_BITS8
#define PSP_VPSS_BITS16             FVID_BPP_BITS16
#define PSP_VPSS_BITS24             FVID_BPP_BITS24

#define PSP_VPBE_YCbCr422           FVID_YCbCr422_INTERLEAVED
#define PSP_VPBE_YCrCb422           FVID_YCrCb422_INTERLEAVED
#define PSP_VPBE_RGB_888            FVID_RGB_888_INTERLEAVED
#define PSP_VPBE_RGB565             FVID_RGB565_INTERLEAVED
#define PSP_VPBE_DVD_MODE           FVID_DVD_MODE
#define PSP_VPBE_CLUT_INDEXED       FVID_CLUT_INDEXED
#define PSP_VPBE_ATTRIBUTE          FVID_ATTRIBUTE
#define PSP_VPBE_INVALID            FVID_COLORFORMAT_INVALID
#define PSP_VPFE_CCDC_YCBCR_8       FVID_VI_BT656_8BIT
#define PSP_VPFE_CCDC_RAW           FVID_VI_RAW_10BIT_CS

#define FVID_ColorFormat            FVID_colorFormat
#define FVID_CCDC_YCBCR_8           FVID_VI_BT656_8BIT
#define FVID_CCDC_RAW_FORMAT        FVID_VI_RAW_10BIT_CS

#ifdef __cplusplus
}
#endif

#endif /*_FVID_EVMDM6437_H*/
