/******************************************************************************
**+-------------------------------------------------------------------------+**
**|                            ****                                         |**
**|                            ****                                         |**
**|                            ******o***                                   |**
**|                      ********_///_****                                  |**
**|                      ***** /_//_/ ****                                  |**
**|                       ** ** (__/ ****                                   |**
**|                           *********                                     |**
**|                            ****                                         |**
**|                            ***                                          |**
**|                                                                         |**
**|         Copyright (c) 2006-2010 Texas Instruments Incorporated          |**
**|                        ALL RIGHTS RESERVED                              |**
**|                                                                         |**
**| Permission is hereby granted to licensees of Texas Instruments          |**
**| Incorporated (TI) products to use this computer program for the sole    |**
**| purpose of implementing a licensee product based on TI products.        |**
**| No other rights to reproduce, use, or disseminate this computer         |**
**| program, whether in part or in whole, are granted.                      |**
**|                                                                         |**
**| TI makes no representation or warranties with respect to the            |**
**| performance of this computer program, and specifically disclaims        |**
**| any responsibility for any damages, special or consequential,           |**
**| connected with the use of this program.                                 |**
**|                                                                         |**
**+-------------------------------------------------------------------------+**
******************************************************************************/

/**
 *  \file   psp_vpss.h
 *
 *  \brief  H3A and Histogram interface definition
 *
 *  This file contains the interfaces,data types and symbolic definitions
 *  that are common in H3A and histogram driver.
 *
 *  (C) Copyright 2006, Texas Instruments, Inc
 *
 *  \author     PSP Team
 *
 *  \version    1.0     Created
 */

#ifndef _PSP_VPSS_H_
#define _PSP_VPSS_H_

/******************************************************************************
                            Header File Inclusion
******************************************************************************/
#include <std.h>
#include <gio.h>
#include <iom.h>

#include <ti/sdo/pspdrivers/soc/dm6437/dsp/tistdtypes.h>
#include <ti/sdo/pspdrivers/common/psp_common.h>

#ifdef __cplusplus
extern "C" {
#endif

/******************************************************************************
                               Enumerations
******************************************************************************/

#define BASE_VALUE 		IOM_USER
/**
  * \brief Enum for the Queue/Dequeue Commands
  *
  */
typedef enum _PSP_VPSSSubmitCommand
{
    PSP_VPSS_QUEUE 	= (BASE_VALUE + 3),
    /**< Queue of FrameBuffer                                               */
    PSP_VPSS_DEQUEUE = (BASE_VALUE + 4)
    /**< DeQueue of FrameBuffer                                             */
} PSP_VPSSSubmitCommand;

#ifdef __cplusplus
}
#endif

#endif  /* _PSP_VPSS_H_ */
