/******************************************************************************
**+-------------------------------------------------------------------------+**
**|                            ****                                         |**
**|                            ****                                         |**
**|                            ******o***                                   |**
**|                      ********_///_****                                  |**
**|                      ***** /_//_/ ****                                  |**
**|                       ** ** (__/ ****                                   |**
**|                           *********                                     |**
**|                            ****                                         |**
**|                            ***                                          |**
**|                                                                         |**
**|         Copyright (c) 2006-2010 Texas Instruments Incorporated          |**
**|                        ALL RIGHTS RESERVED                              |**
**|                                                                         |**
**| Permission is hereby granted to licensees of Texas Instruments          |**
**| Incorporated (TI) products to use this computer program for the sole    |**
**| purpose of implementing a licensee product based on TI products.        |**
**| No other rights to reproduce, use, or disseminate this computer         |**
**| program, whether in part or in whole, are granted.                      |**
**|                                                                         |**
**| TI makes no representation or warranties with respect to the            |**
**| performance of this computer program, and specifically disclaims        |**
**| any responsibility for any damages, special or consequential,           |**
**| connected with the use of this program.                                 |**
**|                                                                         |**
**+-------------------------------------------------------------------------+**
******************************************************************************/
/**
 *  \file   psp_vpss_extvidEncoder.h
 *
 *  \brief  VPSS external video encoder related functionality dependencies
 *
 *  This file contains the dependencies related to external video encoder.
 *
 *  Note: Use these file for External encoder when you dont need to use the
 *        internal VENC.
 *  (C) Copyright 2010, Texas Instruments, Inc
 *
 *  \author     Maulik Desai
 *
 *  \version    0.1     created
 */

#ifndef _PSP_VPSS_EXTVIDENCODER_H
#define _PSP_VPSS_EXTVIDENCODER_H

#ifdef __cplusplus
extern "C" {
#endif

#include <ti/sdo/pspdrivers/soc/dm6437/dsp/tistdtypes.h>

#define EVENC_SUCCESS     (0u)
#define EVENC_FAIL        (-1u)


typedef void * EVENC_Handle;

typedef enum _PSP_VPSS_ExtVideoEncoderIoctlCmd
{
    PSP_VPSS_EXT_VIDEO_ENCODER_CONFIG = 1,
    /** Configure the External Video Encoder      */
    PSP_VPSS_EXT_VIDEO_ENCODER_RESET
    /** To reset the encoder parameters           */
}PSP_VPSS_ExtVideoEncoderIoctlCmd;

/*-----------------------------------------------------------------------------
                    External Video Encoder Interface
-----------------------------------------------------------------------------*/
typedef struct _PSP_VPSS_ExtVideoEncoderFxns
{
    EVENC_Handle  (*Open)();
    Int         (*Close)(Ptr handle);
    Int         (*Control)(Ptr handle,Uint32 Cmd,Ptr CmdArg);

}PSP_VPSS_ExtVideoEncoderFxns;

#ifdef __cplusplus
}
#endif /* extern "C" */

#endif /*_PSP_VPSS_EXTVIDENCODER_H */

