/*******************************************************************************
**+--------------------------------------------------------------------------+**
**|                            ****                                          |**
**|                            ****                                          |**
**|                            ******o***                                    |**
**|                      ********_///_****                                   |**
**|                      ***** /_//_/ ****                                   |**
**|                       ** ** (__/ ****                                    |**
**|                           *********                                      |**
**|                            ****                                          |**
**|                            ***                                           |**
**|                                                                          |**
**|         Copyright (c) 2006-2010 Texas Instruments Incorporated           |**
**|                        ALL RIGHTS RESERVED                               |**
**|                                                                          |**
**| Permission is hereby granted to licensees of Texas Instruments           |**
**| Incorporated (TI) products to use this computer program for the sole     |**
**| purpose of implementing a licensee product based on TI products.         |**
**| No other rights to reproduce, use, or disseminate this computer          |**
**| program, whether in part or in whole, are granted.                       |**
**|                                                                          |**
**| TI makes no representation or warranties with respect to the             |**
**| performance of this computer program, and specifically disclaims         |**
**| any responsibility for any damages, special or consequential,            |**
**| connected with the use of this program.                                  |**
**|                                                                          |**
**+--------------------------------------------------------------------------+**
*******************************************************************************/
/** \file   psp_h3a_application.h
 *
 *  \brief  VPSS integration Application H3A header file
 *
 *  (C) Copyright 2010, Texas Instruments, Inc
 *
 *  \author     EI
 *
 *  \version    1.0     Created
 */

/****************************************************************************
  HEADER FILE INCLUSION
 *****************************************************************************/
#include <std.h>
#include <ti/sdo/pspdrivers/drivers/h3a/psp_h3a.h>
#include <ti/sdo/pspdrivers/drivers/h3a/psp_af.h>
#include <ti/sdo/pspdrivers/drivers/h3a/psp_aew.h>
#include <ti/sdo/pspdrivers/system/dm6437/bios/evmDM6437/video/sample/psp_vpss_integrated.h>

#ifdef __cplusplus
extern "C" {
#endif

/******************************************************************************
  Macros
 ******************************************************************************/

#define H3A_AF_H_COUNT 8u
#define H3A_AF_V_COUNT 8u

#define H3A_AEW_H_COUNT 4u
#define H3A_AEW_V_COUNT 4u

#define H3A_AF_BUFFER_SIZE (H3A_AF_H_COUNT * H3A_AF_V_COUNT \
    * PSP_AF_PAXEL_SIZE)

#define H3A_AEW_BUFFER_SIZE (H3A_AEW_H_COUNT * H3A_AEW_V_COUNT \
    * PSP_AEW_WIN_SIZE)

/******************************************************************************
  Functions
 ******************************************************************************/

void geth3aParams(PSP_H3AChannelType *h3aType);

Int32 h3aOpen(PSP_H3AChannelType *h3aType);

Int32 h3aConfig(PSP_H3AChannelType *h3aType);

Int32 h3aClose(PSP_H3AChannelType *h3aType);

Int32 h3aEnqueue(PSP_H3AChannelType *h3aType);

Int32 h3aDequeue(PSP_H3AChannelType *h3aType);

void AF_DumpToFile(void);

void AEW_DumpToFile(void);

#ifdef __cplusplus
}
#endif
