/*******************************************************************************
**+--------------------------------------------------------------------------+**
**|                            ****                                          |**
**|                            ****                                          |**
**|                            ******o***                                    |**
**|                      ********_///_****                                   |**
**|                      ***** /_//_/ ****                                   |**
**|                       ** ** (__/ ****                                    |**
**|                           *********                                      |**
**|                            ****                                          |**
**|                            ***                                           |**
**|                                                                          |**
**|         Copyright (c) 2006-2010 Texas Instruments Incorporated           |**
**|                        ALL RIGHTS RESERVED                               |**
**|                                                                          |**
**| Permission is hereby granted to licensees of Texas Instruments           |**
**| Incorporated (TI) products to use this computer program for the sole     |**
**| purpose of implementing a licensee product based on TI products.         |**
**| No other rights to reproduce, use, or disseminate this computer          |**
**| program, whether in part or in whole, are granted.                       |**
**|                                                                          |**
**| TI makes no representation or warranties with respect to the             |**
**| performance of this computer program, and specifically disclaims         |**
**| any responsibility for any damages, special or consequential,            |**
**| connected with the use of this program.                                  |**
**|                                                                          |**
**+--------------------------------------------------------------------------+**
*******************************************************************************/
/** \file   psp_histogram_application.h
 *
 *  \brief  VPSS integration Application Histogram header file
 *
 *  (C) Copyright 2010, Texas Instruments, Inc
 *
 *  \author     EI
 *
 *  \version    1.0     Created
 */

/****************************************************************************
  HEADER FILE INCLUSION
 *****************************************************************************/
#include <std.h>
#include <ti/sdo/pspdrivers/drivers/histogram/psp_histogram.h>
#include <ti/sdo/pspdrivers/system/dm6437/bios/evmDM6437/video/sample/psp_vpss_integrated.h>

#ifdef __cplusplus
extern "C" {
#endif

/******************************************************************************
  Macros
 ******************************************************************************/

#define HIST_WB_GAIN00       0x20  /* 1 */
#define HIST_WB_GAIN01       0x20  /* 1 */
#define HIST_WB_GAIN02       0x20  /* 1 */
#define HIST_WB_GAIN03       0x20  /* 1 */

#define HIST_REG0_HSTART     0u
#define HIST_REG0_HEND       320u
#define HIST_REG0_VSTART     0u
#define HIST_REG0_VEND       240u

#define HIST_REG1_HSTART     0u
#define HIST_REG1_HEND       320u
#define HIST_REG1_VSTART     241u
#define HIST_REG1_VEND       479u

#define HIST_REG2_HSTART     321u
#define HIST_REG2_HEND       639u
#define HIST_REG2_VSTART     0u
#define HIST_REG2_VEND       240u

#define HIST_REG3_HSTART     321u
#define HIST_REG3_HEND       639u
#define HIST_REG3_VSTART     241u
#define HIST_REG3_VEND       479u

#define HIST_BUFFER_SIZE     (1024 * sizeof(int))

/******************************************************************************
  Functions
 ******************************************************************************/


void getHistParams();

Int32 histOpen();

Int32 histConfig();

Int32 histClose();

Int32 histFirstEnqueue();

Int32 histEnqueue();

Int32 histDequeue();

void HIST_DumpToFile(void);

#ifdef __cplusplus
}
#endif
