/*******************************************************************************
**+--------------------------------------------------------------------------+**
**|                            ****                                          |**
**|                            ****                                          |**
**|                            ******o***                                    |**
**|                      ********_///_****                                   |**
**|                      ***** /_//_/ ****                                   |**
**|                       ** ** (__/ ****                                    |**
**|                           *********                                      |**
**|                            ****                                          |**
**|                            ***                                           |**
**|                                                                          |**
**|         Copyright (c) 2006-2010 Texas Instruments Incorporated           |**
**|                        ALL RIGHTS RESERVED                               |**
**|                                                                          |**
**| Permission is hereby granted to licensees of Texas Instruments           |**
**| Incorporated (TI) products to use this computer program for the sole     |**
**| purpose of implementing a licensee product based on TI products.         |**
**| No other rights to reproduce, use, or disseminate this computer          |**
**| program, whether in part or in whole, are granted.                       |**
**|                                                                          |**
**| TI makes no representation or warranties with respect to the             |**
**| performance of this computer program, and specifically disclaims         |**
**| any responsibility for any damages, special or consequential,            |**
**| connected with the use of this program.                                  |**
**|                                                                          |**
**+--------------------------------------------------------------------------+**
*******************************************************************************/
/** \file   psp_vpss_integrated.h
 *
 *  \brief  VPSS integration Application header file
 *
 *  (C) Copyright 2010, Texas Instruments, Inc
 *
 *  \author     EI
 *
 *  \version    1.0     Created
 */

/****************************************************************************
  HEADER FILE INCLUSION
 *****************************************************************************/
#include <std.h>
#include <ti/sdo/pspdrivers/pal_os/bios/psputils.h>

#ifdef __cplusplus
extern "C" {
#endif

/******************************************************************************
  Macros
 ******************************************************************************/

/* height and width of input image */
#define INPUT_IMAGE_HEIGHT 480u
#define INPUT_IMAGE_WIDTH 720u

#define BPP_CCDC 16u

/* height and width of output image */
#define OUTPUT_IMAGE_HEIGHT 240u
#define OUTPUT_IMAGE_WIDTH 320u

#define NO_OF_CCDC_OUTPUT_BUFFERS   (2u)
#define NO_OF_VIDEO_INPUT_BUFFERS   (2u)

#define PINMUX  ((volatile Uint32*)(0x01C4000Cu))

#define INTEGRATION_APP_PRINT       PSP_DEBUG

#ifdef __cplusplus
}
#endif
