/*******************************************************************************
**+--------------------------------------------------------------------------+**
**|                            ****                                          |**
**|                            ****                                          |**
**|                            ******o***                                    |**
**|                      ********_///_****                                   |**
**|                      ***** /_//_/ ****                                   |**
**|                       ** ** (__/ ****                                    |**
**|                           *********                                      |**
**|                            ****                                          |**
**|                            ***                                           |**
**|                                                                          |**
**|         Copyright (c) 1998-2007 Texas Instruments Incorporated           |**
**|                        ALL RIGHTS RESERVED                               |**
**|                                                                          |**
**| Permission is hereby granted to licensees of Texas Instruments           |**
**| Incorporated (TI) products to use this computer program for the sole     |**
**| purpose of implementing a licensee product based on TI products.         |**
**| No other rights to reproduce, use, or disseminate this computer          |**
**| program, whether in part or in whole, are granted.                       |**
**|                                                                          |**
**| TI makes no representation or warranties with respect to the             |**
**| performance of this computer program, and specifically disclaims         |**
**| any responsibility for any damages, special or consequential,            |**
**| connected with the use of this program.                                  |**
**|                                                                          |**
**+--------------------------------------------------------------------------+**
*******************************************************************************/

/**
 *  \file    psp_bios_vport_common.h
 *
 * This file contains common macros and structures required for video sample
 * application.
 */

#ifndef _PSP_BIOS_VPORT_COMMON_H
#define _PSP_BIOS_VPORT_COMMON_H


/*
 * ========== INCLUDE FILES ==============
 */
#include <ti/sdo/pspdrivers/system/dm648/bios/evmDM648/video/fvid.h>

#ifdef __cplusplus
extern "C" {
#endif


/*
 * ======== DEFINES =========
 */
#define MAX_CAP_CHAN                    (8)
#define MAX_DIS_CHAN                    (1)

/* Different video modes of operation */
#define MODE_NTSC                       (1)
#define MODE_PAL                        (2)
#define MODE_720P_60HZ                  (3)
#define MODE_1080I_60HZ                 (4)
#define MODE_1080I_50HZ                 (5)
#define MODE_VGA_60HZ                   (6)
#define MODE_VGA_72HZ                   (7)
#define MODE_VGA_75HZ                   (8)
#define MODE_VGA_85HZ                   (9)
#define MODE_SVGA_60HZ                  (10)
#define MODE_SVGA_72HZ                  (11)
#define MODE_SVGA_75HZ                  (12)
#define MODE_SVGA_85HZ                  (13)
#define MODE_XGA_60HZ                   (14)
#define MODE_XGA_70HZ                   (15)
#define MODE_SXGA_60HZ                  (16)
#define MODE_RAW_16BIT                  (17)
#define MODE_RAW_8BIT                   (18)


/* Structure to store each driver channel information */
typedef struct {
    FVID_Handle chanHandle;     /* Channel handle */
    FVID_Frame *frame;          /* Current FVID frame buffer pointer */
} ChannelInfo;


#ifdef __cplusplus
}
#endif /* extern "C" */

#endif /* _PSP_BIOS_VPORT_COMMON_H */

/******************************************************************************/
/* End of file                                                                */
/******************************************************************************/
