/*******************************************************************************
**+--------------------------------------------------------------------------+**
**|                            ****                                          |**
**|                            ****                                          |**
**|                            ******o***                                    |**
**|                      ********_///_****                                   |**
**|                      ***** /_//_/ ****                                   |**
**|                       ** ** (__/ ****                                    |**
**|                           *********                                      |**
**|                            ****                                          |**
**|                            ***                                           |**
**|                                                                          |**
**|         Copyright (c) 1998-2007 Texas Instruments Incorporated           |**
**|                        ALL RIGHTS RESERVED                               |**
**|                                                                          |**
**| Permission is hereby granted to licensees of Texas Instruments           |**
**| Incorporated (TI) products to use this computer program for the sole     |**
**| purpose of implementing a licensee product based on TI products.         |**
**| No other rights to reproduce, use, or disseminate this computer          |**
**| program, whether in part or in whole, are granted.                       |**
**|                                                                          |**
**| TI makes no representation or warranties with respect to the             |**
**| performance of this computer program, and specifically disclaims         |**
**| any responsibility for any damages, special or consequential,            |**
**| connected with the use of this program.                                  |**
**|                                                                          |**
**+--------------------------------------------------------------------------+**
*******************************************************************************/

/**
 *  \file   edc_debug.h
 *
 *  This file contains Macro definitions for debugging of external devices
 */

#ifndef _EDC_DEBUG_H
#define _EDC_DEBUG_H

/*
 * ========= INCLUDE FILES ============
 */
#include <log.h>

#ifdef __cplusplus
extern "C" {
#endif

/*
 * ========= DEFINES ============
 */
#ifdef ENABLE_EDC_DEBUG

#if 0

#define EDC_DEBUG(a)            LOG_printf(&trace, a)
#define EDC_DEBUG1(a,b)         LOG_printf(&trace, a, b)
#define EDC_DEBUG2(a,b,c)       LOG_printf(&trace, a, b, c)

#else

#include <stdio.h>
#define EDC_DEBUG(a)            printf(a)
#define EDC_DEBUG1(a,b)         printf(a,b)
#define EDC_DEBUG2(a,b,c)       printf(a,b,c)
#define EDC_DEBUG3(a,b,c,d)     printf(a,b,c,d)

#endif

#else   /* #ifdef ENABLE_EDC_DEBUG */

#define EDC_DEBUG(a)
/**< EDC debug print with one parameter */
#define EDC_DEBUG1(a,b)
/**< EDC debug print with two parameter */
#define EDC_DEBUG2(a,b,c)
/**< EDC debug print with three parameter */
#define EDC_DEBUG3(a,b,c,d)
/**< EDC debug print with four parameter */

#endif  /* #ifdef ENABLE_EDC_DEBUG */


/*
 * ========= EXTERNS ============
 */
extern far LOG_Obj trace;   /**< Log handle */

#ifdef __cplusplus
}
#endif

#endif /* _EDC_DEBUG_H */

/******************************************************************************/
/* End of file                                                                */
/******************************************************************************/
