echo off
set TIMLTV_DIR=lib\hal\evmc6424
set TIMLTV_CLOPT=-dCHIP_C6424 -dEVMC6424 -dPHY_MASK=0x2 -mv6400+
md lib
md lib\hal
md %TIMLTV_DIR%
if "%1"=="USERLED" goto USERLED 
if "%1"=="ETHERNET" goto ETHERNET 

:USAGE
echo "
echo "  This batch file can be used to re-build the various libraries in
echo "  the HAL directory for various platforms. This version of the  
echo "  TCP/IP Stack includes source code for the following libraries:
echo "
echo "      c6424  - HAL for TI c6424
echo "
echo "  The resulting library files are created in the LIB directory
echo "
echo "  Usage: makehal [library] (noclean)
echo "
echo "  The value of "platform" can be:
echo "      USERLED,
echo "      ETHERNET,
echo "
echo "  Example: Type 'makehal ETHERNET' to make the HAL EMAC series
echo "           of libraries for the EVM c6424
echo "
echo "
goto END


:ETHERNET
if "%2"=="noclean" goto NC4
gmake -C src\hal\evmc6424\eth_c6424 clean
:NC4
gmake -C src\hal\evmc6424\eth_c6424 CONFIG_FLAGS="%TIMLTV_CLOPT%"
copy src\hal\evmc6424\eth_c6424\hal_eth_64lc.lib %TIMLTV_DIR%
echo " 
echo " Libraries created in %TIMLTV_DIR% directory
echo " 
goto END

:USERLED
if "%2"=="noclean" goto NC4
gmake -C src\hal\evmc6424\userled_c6424 clean
:NC4
gmake -C src\hal\evmc6424\userled_c6424 CONFIG_FLAGS="%TIMLTV_CLOPT%"
copy src\hal\evmc6424\userled_c6424\hal_userled_c6424.lib %TIMLTV_DIR%
echo " 
echo " Libraries created in %TIMLTV_DIR% directory
echo " 
goto END

:END
set TIMLTV_DIR=
set TIMLTV_CLOPT=

