echo off
set TIMLTV_DIR=lib\hal\evmc6452
set TIMLTV_CLOPT=-dCHIP_C6452 -dEVMC6452  -mv6400+
md lib
md lib\hal
md %TIMLTV_DIR%
if "%1"=="ETHERNET" goto ETHERNET 
if "%1"=="ethernet" goto ETHERNET

:USAGE
echo "
echo "  This batch file can be used to re-build the various libraries in
echo "  the HAL directory for various platforms. This version of the  
echo "  TCP/IP Stack includes source code for the following libraries:
echo "
echo "        evmc6452 - HAL for EVMC6452 
echo "
echo "  The resulting library files are created in the LIB directory
echo "
echo "  Usage: makehal [library] (noclean)
echo "
echo "  The value of "platform" can be:
echo "      ETHERNET,
echo "
echo "  Example: Type 'makehal ETHERNET' to make the HAL Ethernet series
echo "           of libraries for  EVMC6452 
echo "
echo "
goto END


:ETHERNET
if "%2"=="noclean" goto NC4
gmake -C src\hal\evmc6452\ethSS_c6452 clean
:NC4
gmake -C src\hal\evmc6452\ethSS_c6452 CONFIG_FLAGS="%TIMLTV_CLOPT%"
copy src\hal\evmc6452\ethSS_c6452\hal_eth_c6452.lib %TIMLTV_DIR%
echo " 
echo " Libraries created in %TIMLTV_DIR% directory
echo " 
goto END


:END
set TIMLTV_DIR=
set TIMLTV_CLOPT=


