echo off
set TIMLTV_DIR=lib\hal\evmdm6437
set TIMLTV_CLOPT=-dCHIP_DM6437 -dEVMDM6437 -dPHY_MASK=0x1 -mv6400+
md lib
md lib\hal
md %TIMLTV_DIR%
if "%1"=="USERLED" goto USERLED 
if "%1"=="ETHERNET" goto ETHERNET 

:USAGE
echo "
echo "  This batch file can be used to re-build the various libraries in
echo "  the HAL directory for various platforms. This version of the  
echo "  TCP/IP Stack includes source code for the following libraries:
echo "
echo "      dm6437  - HAL for TI DM6437
echo "
echo "  The resulting library files are created in the LIB directory
echo "
echo "  Usage: makehal [library] (noclean)
echo "
echo "  The value of "platform" can be:
echo "      USERLED,
echo "      ETHERNET,
echo "
echo "  Example: Type 'makehal ETHERNET' to make the HAL EMAC series
echo "           of libraries for the EVM DM6437
echo "
echo "
goto END


:ETHERNET
if "%2"=="noclean" goto NC4
gmake -C src\hal\evmdm6437\eth_dm6437 clean
:NC4
gmake -C src\hal\evmdm6437\eth_dm6437 CONFIG_FLAGS="%TIMLTV_CLOPT%"
copy src\hal\evmdm6437\eth_dm6437\hal_eth_dm64lc.lib %TIMLTV_DIR%
echo " 
echo " Libraries created in %TIMLTV_DIR% directory
echo " 
goto END

:USERLED
if "%2"=="noclean" goto NC4
gmake -C src\hal\evmdm6437\userled_dm6437 clean
:NC4
gmake -C src\hal\evmdm6437\userled_dm6437 CONFIG_FLAGS="%TIMLTV_CLOPT%"
copy src\hal\evmdm6437\userled_dm6437\hal_userled_dm6437.lib %TIMLTV_DIR%
echo " 
echo " Libraries created in %TIMLTV_DIR% directory
echo " 
goto END

:END
set TIMLTV_DIR=
set TIMLTV_CLOPT=

